---
title: HTTP header page template
slug: MDN/Structures/Page_types/HTTP_header_page_template
tags:
  - HTTP Header
  - Reference
  - Template
  - reference page
---
<div>{{MDNSidebar}}</div>

<div class="note">
<h2 id="Remove_before_publishing">Remove before publishing</h2>

<h3 id="Title_and_slug">Title and slug</h3>

<p>An HTTP header page should have a <em>title</em> and <em>slug</em> of <em>Name</em>Of<em>TheHTTPHeader</em>. For example, the <a href="/en-US/docs/Web/HTTP/Headers/Cache-Control">Cache-Control</a> header has a <em>title</em> and <em>slug</em> of <em>Cache-Control</em>.</p>

<h3 id="Top_macros">Top macros</h3>

<p>There are four macro calls at the top of the template by default. You should update or delete them according to the advice below:</p>

<ul>
 <li>\{{draft()}} — this generates a <strong>Draft</strong> banner that indicates that the page is not yet complete, and should only be removed when the first draft of the page is completely finished. After it is ready to be published, you can remove this.</li>
 <li>\{{SeeCompatTable}} — this generates a <strong>This is an experimental technology</strong> banner that indicates the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Experimental">experimental</a>). If the technology you are documenting is not experimental, you can remove this. If it is experimental, and the technology is hidden behind a pref in Firefox, you should also fill in an entry for it in the <a href="/en-US/docs/Mozilla/Firefox/Experimental_features">Experimental features in Firefox</a> page.</li>
 <li>\{{deprecated_header}} — this generates a <strong>Deprecated</strong> banner that indicates the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Deprecated_and_obsolete">deprecated</a>. If it isn't, then you can remove the macro call.</li>
 <li>
  <div>\{{httpsidebar}} — this generates the HTTP sidebar that every HTTP reference page has.</div>
 </li>
</ul>

<h3 id="Tags">Tags</h3>

<p>In an HTTP header element subpage, you need to include the following tags (see the <em>Tags</em> section at the bottom of the editor UI): <strong>HTTP</strong>, <strong>Reference</strong>, <strong>HTTP Headers</strong>, <em>the name of the HTTP Header</em> (e.g. <strong>Cache-Control</strong>), <strong>General Header</strong>/<strong>Caching</strong>/<strong>Entity Header</strong> or other header category as appropriate, <strong>Experimental</strong> (if the technology is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Experimental">experimental</a>), and <strong>Deprecated</strong> (if it is <a href="/en-US/docs/MDN/Contribute/Guidelines/Conventions_definitions#Deprecated_and_obsolete">deprecated</a>).</p>

<h3 id="Browser_compatibility">Browser compatibility</h3>

<p>To fill in the browser compat data, you first need to fill in an entry for the API into our <a href="https://github.com/mdn/browser-compat-data">Browser compat data repo</a> — see our <a href="/en-US/docs/MDN/Contribute/Structures/Compatibility_tables#The_new_way_The_browser_compat_data_repo_and_dynamic_tables">guide on how to do this</a>. Note that for HTML elements, most of the work has already been done — you just need to check that an entry is available.</p>

<p>Once that is done, you can show the compat data for the method with a \{{Compat()}} macro call.</p>
</div>

<div>{{draft}}{{SeeCompatTable}}{{deprecated_header}}{{httpsidebar}}</div>

<p><span class="summary">The summary paragraph — start by naming the http header and saying what it does. This should ideally be 1 or 2 short sentences.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>Include header category, e.g. {{Glossary("General header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes or no</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Simple response header", "CORS-safelisted response-header")}}</th>
   <td>yes or no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<p>The directives are case-insensitive and have an optional argument, that can use both token and quoted-string syntax. Multiple directives are comma-separated (delete information as appropriate).</p>

<pre class="syntaxbox notranslate">Fill in a syntax box, according to the guidance in our <a href="/en-US/docs/MDN/Contribute/Structures/Syntax_sections">syntax sections</a> article.</pre>

<p>If the header has a lot of available directives, feel free to include multiple syntax boxes, subsections and explanations as appropriate.</p>

<h2 id="Directives">Directives</h2>

<dl>
 <dt><code>directive1</code></dt>
 <dd>Include a brief description of the directive and what it does here. Include one term and definition for each directive.</dd>
 <dt><code>directive2</code></dt>
 <dd>etc.</dd>
</dl>

<p>If the header has a lot of available directives, feel free to include multiple definition lists, subsections and explanations as appropriate.</p>

<h2 id="Examples">Examples</h2>

<p>Fill in a some examples that nicely show common use cases of the HTTP header.</p>

<pre class="brush: js notranslate">my code block</pre>

<p>And/or include a list of links to useful code samples that live elsewhere:</p>

<ul>
 <li>x</li>
 <li>y</li>
 <li>z</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("RFCNumberWhereHeaderIsDefined")}}</td>
   <td>Title of RFC</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility_2">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("path.to.feature.NameOfTheHeader")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Include list of</li>
 <li>other links related to</li>
 <li>this Element that might</li>
 <li>be useful</li>
</ul>
